LSZFCP(8)

NAME
lszfcp - list information about zfcp adapters, ports, and units

SYNOPSIS
lszfcp [-hvVaHDP] [-b busid] [-l lun] [-p wwpn] [-s /path/to/sys]

DESCRIPTION

lszfcp provides information contained in sysfs about zfcp adapters, ports and units and its associated scsi_hosts, fc_hosts, fc_remote_ports and scsi_devices. The default is to list busids of all zfcp adapters and their corresponding SCSI host names. There are three output variants. Default (without options "-a" or "-V") is one line for each object. For adapters the busid and their corresponding SCSI host names are listed. For ports the pair "busid"/"wwpn" and their corresponding FC-remote-port names are listed. For units the triple "busid"/"wwpn"/"lun" and their corresponding SCSI device names are listed. Option "-V" additionally shows the sysfs paths of interest for the listed object. Option "-a" additionally shows all attributes of interest found in sysfs for the listed object.

OPTIONS

-a, --attributes
    Show all attributes of the specified objects.

-D, --devices
    List zfcp units and SCSI devices.

-H, --hosts
    List zfcp adapters and fc-hosts (default). Information is given only for adapters that are online (registered at the SCSI stack).

-P, --ports
    List zfcp ports and FC remote ports.

-b busid, --busid busid
    Show zfcp adapter, fc-host selected by busid.

-l lun, --lun lun
    List zfcp unit(s) and SCSI device(s) selected by lun. (Information for several units might be shown if devices with equivalent LUNs are configured for different adapters or ports.)

-p wwpn, --wwpn wwpn
    List zfcp port(s) and FC remote port(s) selected by wwpn. (Information for several ports might be shown if a remote port is configured for different adapters.)

-V, --verbose
    Generate verbose output. Display sysfs path names of class and bus devices that are of interest for this object.

-s, --sysfs /path/to/sys
    Use path as sysfs (for dbginfo archives).

-h, --help
    Print help message and exit.

-v, --version
    Display version info and exit.

NOTE

Options "-b", "-p" or "-l" are of restricting nature. They limit the output to those adapters, ports or units that match the specified busid, wwpn and lun. If none of the options "-H", "-P" and "-D" are specified, "-b" implies "-H", "-p" implies "-P" and "-l" implies "-D".

EXAMPLES

lszfcp -P -H -D -V
    Show all device paths of all zfcp adapters, ports, units and its associated SCSI devices, SCSI hosts, FC hosts and FC remote ports

lszfcp -b 0.0.0815 -a
    Show all attributes of ccw_device, scsi_host and fc_host which belong to the adapter with busid "0.0.0815".

lszfcp -D -b 0.0.0815 -p 0x5005123456789000 -l 0x0000000000000000
    Show the device which matches the given busid, wwpn and lun.

lszfcp -b 0.0.0815 -p 0x5005123456789000 -l 0x0000000000000000
    Show all adapters that match the given busid, all ports that match the given busid and wwpnn and show all units that match the given busid, wwpn and lun.

lszfcp -b 0.0.0815 -p 0x5005123456789000 -l 0x0000000000000000 -H -P -D
    Generates same output as previous example.

SEE ALSO
lscss(8)